Subject: mgmtbus and netee into branch tpl-branch
From: Bill Fisher <[email-masked]>
To: Andy Sharp <[email-masked]>
Cc: Bill Fisher <[email-masked]>
Date: Fri, 6 Feb 2009 12:03:37 -0800

bfisher-linux: 1822>git commit -a
Created commit 2850199: Initial common mgmtbus driver and neteee modules 
for SMP kernel
  18 files changed, 6526 insertions(+), 674 deletions(-)
  create mode 100644 drivers/mgmt-bus/Kconfig
  create mode 100644 drivers/mgmt-bus/Makefile
  create mode 100755 drivers/mgmt-bus/amd29f040.h
  create mode 100644 drivers/mgmt-bus/bobcat_mgmt_bus.c
  create mode 100644 drivers/mgmt-bus/cougar_mgmt_bus.c
  create mode 100755 drivers/mgmt-bus/from-api.h
  create mode 100644 drivers/mgmt-bus/mgmt-bus.c
  create mode 100755 drivers/mgmt-bus/mgmt-bus.h
  create mode 100644 drivers/mgmt-bus/prom-part-api.h
  create mode 100755 drivers/mgmt-bus/prom.c
  create mode 100644 drivers/mgmt-bus/rcon.c
  create mode 100644 drivers/mgmt-bus/rcon.h
  create mode 100644 drivers/mgmt-bus/tuxrx_mgmt_bus.c

bfisher-linux: 1824>pwd
/homes/bfisher/work/fisher-W1-git/ripper-git

bfisher-linux: 1823>git status
# On branch tpl-branch
# Untracked files:
#   (use "git add <file>..." to include in what will be committed)
#
#       .config
#       .missing-syscalls.d
#       arch/mips/onstor/tuxrx/cougar_bm_fpga.h
#       arch/mips/pci/fixup-tuxrx.c~
#       include/asm-mips/mach-tuxrx/cougar.h
#       mlog

Please pull these changes and verify that your kernel works.

later,

-- Bill
From: Bill Fisher <[email-masked]>
To: Andy Sharp <[email-masked]>
CC: Bill Fisher <[email-masked]>
Date: Thu, 5 Feb 2009 18:30:18 -0800
Subject: Unit test program locations
Accept-Language: en-us, en
acceptlanguage: en-us, en

bfisher-linux: 1155>pwd
/homes/bfisher/work/fisher-W1-dev/dev/nfx-tree/code/ssc-mgmt-bus

bfisher-linux: 1156>ls -l *test.c
-r--r--r--  1 bfisher software  5976 Sep 23 11:48 dma-test.c
-r--r--r--  1 bfisher software  8742 Sep 23 11:48 mbtest.c
-rw-rw-r--  1 bfisher software 18486 Jan 19 14:27 neteee-msgtest.c
-rw-r--r--  1 bfisher software 32385 Jan 13 17:49 neteee-socktest.c
-rw-r--r--  1 bfisher software 91127 Dec  1 17:38 vs-mid-msgtest.c
-rw-r--r--  1 bfisher software 69069 Feb  5 18:23 vsvr-msgtest.c

The Virtual server and Cluster DBMS tests are the vsvr-msgtest.c and the
vs-mid-msgtest.c code.

You can see that I have used major chunks of neteee-msgtest.c to be
the command line parser for the NETEEE <slot,cpu,appl> Address format
that can be supplied on the command line.

The neteee-socktest.c has examples of the code on using NETEEE sockets
as well as the test programs for every socket interface supported.

The Makefile has been hacked to fix up the targets, etc.

If you are interested the "legacy" programs are mbtest.c and dma-test.c
which are pretty useless for unit tests.

Later,

-- Bill

From: Bill Fisher <[email-masked]>
To: Andy Sharp <[email-masked]>
CC: Bill Fisher <[email-masked]>
Date: Fri, 6 Mar 2009 19:37:56 -0800
Subject: net/tpl and net/neteee2 header files
Accept-Language: en-us, en
acceptlanguage: en-us, en

Andy:

You can check out the following directories:

bfisher-linux.onstor.net:/home/bfisher/linux-txrx/linux-mips-2.6.20-andy

	net/tpl/*,h
	net/neteee2/*.h

You can ssh to the machine:

bfisher-linux: 2684>ifconfig eth0
eth0      Link encap:Ethernet  HWaddr 00:12:3F:61:4F:74
           inet addr:10.100.100.20  Bcast:10.100.255.255  Mask:255.255.0.0
           inet6 addr: fe80::212:3fff:fe61:4f74/64 Scope:Link
           UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
           RX packets:16094901 errors:0 dropped:0 overruns:0 frame:0
           TX packets:15581637 errors:0 dropped:0 overruns:0 carrier:0
           collisions:0 txqueuelen:1000
           RX bytes:763552678 (728.1 MiB)  TX bytes:1776242222 (1.6 GiB)
           Interrupt:169

I put these into the non-git directory by accident.
I will fix that next week.
The net/tpl code compiles and links.

Only a subset of the net/neteee2 directory does since there
are "lots" of issues with extraccting a subset of eee's header
file for Linux kernel compilation.

later,

-- Bill